Name:           ukiboot
Version:        0.1.1
Release:        1%{?dist}
Summary:        A UEFI bootloader similar to android boot

License:        LGPL-2.1-or-later
Source:         ukiboot-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: meson
BuildRequires: gnu-efi-devel
BuildRequires: python3
BuildRequires: systemd
BuildRequires: systemd-ukify
BuildRequires: systemd-boot

%description
A UEFI bootloader similar to android boot.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%post
%systemd_post ukiboot-set-success.service

%preun
%systemd_preun ukiboot-set-success.service

%postun
%systemd_postun ukiboot-set-success.service

%files
%{_libexecdir}/ukiboot
%{_bindir}/ukibootctl
%{_unitdir}/ukiboot-set-success.service
%license COPYING.LIB

%changelog
* Wed Apr 30 2025 Alexander Larsson  <alexl@redhat.com> - 0.1.1-1
- Update to 0.1.1

* Wed Feb 26 2025 Alexander Larsson <alexl@redhat.com>
- Initial version
